<?php
/**
 * Mezze Pro: Color Patterns
 *
 * @package WordPress
 * @subpackage Mezze Pro
 * @since 1.0
 */

/**
 * Generate the CSS for the current custom color scheme.
 */
function mezze_pro_custom_colors_css() {
  	$options= mezze_pro_get_theme_options();

	$color_value = $options['colorscheme_hue'];
	
	$css = '
	.backtotop,
	#respond input[type="submit"]:hover,
	#respond input[type="submit"]:focus,
	.reply a:hover,
	.reply a:focus,
	#masthead,
	.pagination .page-numbers,
	.pagination .page-numbers.dots:hover,
	.pagination .page-numbers.dots:focus,
	.pagination .page-numbers.prev,
	.pagination .page-numbers.next,
	input[type="submit"]:hover,
	input[type="submit"]:focus,
	.btn:hover,
	.btn:focus,
	#online-order .entry-container,
	.client-wrapper .entry-container,
	.slick-dots li.slick-active button,
	#call-to-action .btn:hover,
	#call-to-action .btn:focus,
	.posts-slider-navigation button:hover,
	.posts-slider-navigation button:focus,
	.woocommerce #respond input#submit:hover, 
	.woocommerce a.button:hover, 
	.woocommerce button.button:hover, 
	.woocommerce input.button:hover,
	.woocommerce a.added_to_cart:hover,
	.woocommerce a.button.alt:hover, 
	.woocommerce button.button.alt:hover, 
	.woocommerce input.button.alt:hover,
	.woocommerce #respond input#submit.disabled:hover, 
	.woocommerce #respond input#submit:disabled:hover, 
	.woocommerce #respond input#submit:disabled[disabled]:hover, 
	.woocommerce a.button.disabled:hover, 
	.woocommerce a.button:disabled:hover, 
	.woocommerce a.button:disabled[disabled]:hover, 
	.woocommerce button.button.disabled:hover, 
	.woocommerce button.button:disabled:hover, 
	.woocommerce button.button:disabled[disabled]:hover, 
	.woocommerce input.button.disabled:hover, 
	.woocommerce input.button:disabled:hover, 
	.woocommerce input.button:disabled[disabled]:hover,
	.woocommerce #respond input#submit:focus, 
	.woocommerce a.button:focus, 
	.woocommerce button.button:focus, 
	.woocommerce input.button:focus,
	.woocommerce a.added_to_cart:focus,
	.woocommerce a.button.alt:focus, 
	.woocommerce button.button.alt:focus, 
	.woocommerce input.button.alt:focus,
	.woocommerce #respond input#submit.disabled:focus, 
	.woocommerce #respond input#submit:disabled:focus, 
	.woocommerce #respond input#submit:disabled[disabled]:focus, 
	.woocommerce a.button.disabled:focus, 
	.woocommerce a.button:disabled:focus, 
	.woocommerce a.button:disabled[disabled]:focus, 
	.woocommerce button.button.disabled:focus, 
	.woocommerce button.button:disabled:focus, 
	.woocommerce button.button:disabled[disabled]:focus, 
	.woocommerce input.button.disabled:focus, 
	.woocommerce input.button:disabled:focus, 
	.woocommerce input.button:disabled[disabled]:focus,
	.woocommerce ul.products li.product .onsale,
	.woocommerce span.onsale,
	.woocommerce-MyAccount-navigation ul li.is-active a,
	.woocommerce-MyAccount-navigation ul li:hover a,
	.woocommerce-MyAccount-navigation ul li:focus a {
	    background-color: ' . esc_attr($color_value) . ';
	}

	#respond input[type="submit"],
	.reply a,
	input[type="submit"],
	.btn,
	.woocommerce #respond input#submit, 
	.woocommerce a.button, 
	.woocommerce button.button, 
	.woocommerce input.button,
	.woocommerce a.added_to_cart,
	.woocommerce #respond input#submit.alt, 
	.woocommerce a.button.alt, 
	.woocommerce button.button.alt, 
	.woocommerce input.button.alt,
	.woocommerce #respond input#submit.disabled, 
	.woocommerce #respond input#submit:disabled, 
	.woocommerce #respond input#submit:disabled[disabled], 
	.woocommerce a.button.disabled, 
	.woocommerce a.button:disabled, 
	.woocommerce a.button:disabled[disabled], 
	.woocommerce button.button.disabled, 
	.woocommerce button.button:disabled, 
	.woocommerce button.button:disabled[disabled], 
	.woocommerce input.button.disabled, 
	.woocommerce input.button:disabled, 
	.woocommerce input.button:disabled[disabled] {
	    background-color: rgba(0, 0, 0, 0.05);
	}

	#respond input[type="submit"],
	.reply a,
	a,
	.main-navigation a:hover,
	.main-navigation ul.nav-menu > li > a:hover,
	.navigation.post-navigation a:hover,
	.navigation.posts-navigation a:hover,
	.navigation.post-navigation a:focus,
	.navigation.posts-navigation a:focus,
	input[type="submit"],
	#secondary .cat-links a,
	#secondary a:hover,
	#secondary a:focus,
	.comment-meta .url:hover,
	.comment-meta .url:focus,
	.comment-metadata a:hover time,
	.comment-metadata a:focus time,
	.section-subtitle,
	.btn,
	.featured-content-wrapper .btn,
	.icon-container i,
	.icon-container a:hover i,
	#our-services .entry-title a:hover,
	#our-services .entry-title a:focus,
	#special-offer .price ins,
	#special-offer .price,
	.special-offer-slider ul.post-categories li a,
	.special-offer-slider .entry-title a:hover,
	.special-offer-slider .entry-title a:focus,
	#special-menu .section-subtitle,
	#client-testimonial .entry-title a:hover,
	#client-testimonial .entry-title a:focus,
	.position,
	#call-to-action .btn,
	#latest-posts #subscribe-text p,
	.blog-posts-wrapper .entry-title a:hover,
	.blog-posts-wrapper .entry-title a:focus,
	.single-wrapper .entry-meta span a:hover, 
	.single-wrapper .entry-meta span a:focus,
	.single-wrapper .cat-links a,
	.single-wrapper .entry-meta span.byline a.fn:hover,
	.single-wrapper .entry-meta span.byline a.fn:focus,
	.single-wrapper .entry-meta > span a:hover,
	.single-wrapper .entry-meta > span a:focus,
	ul.post-categories li a:hover,
	ul.post-categories li a:focus,
	.woocommerce #respond input#submit, 
	.woocommerce a.button, 
	.woocommerce button.button, 
	.woocommerce input.button,
	.woocommerce a.added_to_cart,
	.woocommerce #respond input#submit.alt, 
	.woocommerce a.button.alt, 
	.woocommerce button.button.alt, 
	.woocommerce input.button.alt,
	.woocommerce #respond input#submit.disabled, 
	.woocommerce #respond input#submit:disabled, 
	.woocommerce #respond input#submit:disabled[disabled], 
	.woocommerce a.button.disabled, 
	.woocommerce a.button:disabled, 
	.woocommerce a.button:disabled[disabled], 
	.woocommerce button.button.disabled, 
	.woocommerce button.button:disabled, 
	.woocommerce button.button:disabled[disabled], 
	.woocommerce input.button.disabled, 
	.woocommerce input.button:disabled, 
	.woocommerce input.button:disabled[disabled],
	.woocommerce ul.products li.product a:hover .woocommerce-loop-category__title, 
	.woocommerce ul.products li.product a:hover .woocommerce-loop-product__title, 
	.woocommerce ul.products li.product a:hover h3,
	.woocommerce ul.products li.product a:hover .price,
	.woocommerce ul.products li.product a:hover .price .woocommerce-Price-amount.amount,
	.woocommerce ul.products li.product a:hover .star-rating span,
	.woocommerce .woocommerce-product-rating .star-rating span,
	.woocommerce div.product .woocommerce-Price-amount.amount,
	.woocommerce div.product .woocommerce-tabs ul.tabs li.active a,
	.woocommerce div.product p.price del, 
	.woocommerce div.product span.price del,
	.woocommerce-message::before,
	.shop_table.shop_table_responsive.cart.woocommerce-cart-form__contents a:hover,
	.shop_table.shop_table_responsive.cart.woocommerce-cart-form__contents a:focus,
	.woocommerce-info::before,
	#colophon .site-info a {
		color: ' . esc_attr($color_value) . ';
	}

	.navigation.post-navigation a:hover svg,
	.navigation.posts-navigation a:hover svg,
	.navigation.post-navigation a:focus svg,
	.navigation.posts-navigation a:focus svg,
	.widget_search form.search-form button.search-submit:hover svg,
	.widget_search form.search-form button.search-submit:focus svg,
	.loader-container svg {
		fill: ' . esc_attr($color_value) . ';
	}

	#respond input[type="submit"],
	.reply a,
	#respond input[type="submit"]:hover,
	#respond input[type="submit"]:focus,
	.reply a:hover,
	.reply a:focus,
	.pagination .page-numbers,
	.pagination .page-numbers.dots:hover,
	.pagination .page-numbers.dots:focus,
	.pagination .page-numbers.prev,
	.pagination .page-numbers.next,
	input[type="submit"],
	input[type="submit"]:hover,
	input[type="submit"]:focus,
	.btn,
	.btn:hover,
	.btn:focus,
	.woocommerce #respond input#submit, 
	.woocommerce a.button, 
	.woocommerce button.button, 
	.woocommerce input.button,
	.woocommerce a.added_to_cart,
	.woocommerce #respond input#submit.alt, 
	.woocommerce a.button.alt, 
	.woocommerce button.button.alt, 
	.woocommerce input.button.alt,
	.woocommerce #respond input#submit.disabled, 
	.woocommerce #respond input#submit:disabled, 
	.woocommerce #respond input#submit:disabled[disabled], 
	.woocommerce a.button.disabled, 
	.woocommerce a.button:disabled, 
	.woocommerce a.button:disabled[disabled], 
	.woocommerce button.button.disabled, 
	.woocommerce button.button:disabled, 
	.woocommerce button.button:disabled[disabled], 
	.woocommerce input.button.disabled, 
	.woocommerce input.button:disabled, 
	.woocommerce input.button:disabled[disabled],
	.woocommerce #respond input#submit:hover, 
	.woocommerce a.button:hover, 
	.woocommerce button.button:hover, 
	.woocommerce input.button:hover,
	.woocommerce a.added_to_cart:hover,
	.woocommerce a.button.alt:hover, 
	.woocommerce button.button.alt:hover, 
	.woocommerce input.button.alt:hover,
	.woocommerce #respond input#submit.disabled:hover, 
	.woocommerce #respond input#submit:disabled:hover, 
	.woocommerce #respond input#submit:disabled[disabled]:hover, 
	.woocommerce a.button.disabled:hover, 
	.woocommerce a.button:disabled:hover, 
	.woocommerce a.button:disabled[disabled]:hover, 
	.woocommerce button.button.disabled:hover, 
	.woocommerce button.button:disabled:hover, 
	.woocommerce button.button:disabled[disabled]:hover, 
	.woocommerce input.button.disabled:hover, 
	.woocommerce input.button:disabled:hover, 
	.woocommerce input.button:disabled[disabled]:hover,
	.woocommerce #respond input#submit:focus, 
	.woocommerce a.button:focus, 
	.woocommerce button.button:focus, 
	.woocommerce input.button:focus,
	.woocommerce a.added_to_cart:focus,
	.woocommerce a.button.alt:focus, 
	.woocommerce button.button.alt:focus, 
	.woocommerce input.button.alt:focus,
	.woocommerce #respond input#submit.disabled:focus, 
	.woocommerce #respond input#submit:disabled:focus, 
	.woocommerce #respond input#submit:disabled[disabled]:focus, 
	.woocommerce a.button.disabled:focus, 
	.woocommerce a.button:disabled:focus, 
	.woocommerce a.button:disabled[disabled]:focus, 
	.woocommerce button.button.disabled:focus, 
	.woocommerce button.button:disabled:focus, 
	.woocommerce button.button:disabled[disabled]:focus, 
	.woocommerce input.button.disabled:focus, 
	.woocommerce input.button:disabled:focus, 
	.woocommerce input.button:disabled[disabled]:focus {
		border-color: ' . esc_attr($color_value) . ';
	}

	#secondary .widget > ul li:first-child, 
	#secondary .widget > ul li:hover, 
	#secondary .widget_nav_menu ul li:first-child, 
	#secondary .widget_nav_menu ul li:hover,
	#featured-slider .slick-prev:hover:before, 
	#featured-slider .slick-next:hover:before,
	.more-link .icon {
	    border-left-color: ' . esc_attr($color_value) . ';
	}

	.client-wrapper .entry-container:after,
	.woocommerce-message,
	.woocommerce-info {
	    border-top-color: ' . esc_attr($color_value) . ';
	}

	#featured-slider article {
		background: -moz-radial-gradient(center, ellipse cover, #3f51b5 0%, ' . esc_attr($color_value) . ' 100%);
		background: -webkit-radial-gradient(center, ellipse cover, #3f51b5 0%,' . esc_attr($color_value) . ' 100%);
		background: radial-gradient(ellipse at center, #3f51b5 0%,' . esc_attr($color_value) . ' 100%);
	}

	@media screen and (min-width: 1024px) {
		.main-navigation ul#primary-menu ul li.current-menu-item > a,
		.main-navigation ul#primary-menu ul li:hover > a,
		.main-navigation ul#primary-menu ul li:focus > a {
		    color: ' . esc_attr($color_value) . ';
		}
		.main-navigation ul ul li.menu-item-has-children:hover > a > svg, 
		.main-navigation ul ul li.menu-item-has-children > a:hover > svg {
			fill: ' . esc_attr($color_value) . ';
		}
		.menu-sticky #masthead.nav-shrink {
		    background-color: ' . esc_attr($color_value) . ';
		}
	}';

	$css .= '
	@keyframes preloader {
	    0% {height:5px;transform:translateY(0px);background: ' . esc_attr($color_value) . ';}
	    25% {height:30px;transform:translateY(15px);background: ' . esc_attr($color_value) . ';}
	    50% {height:5px;transform:translateY(0px);background: ' . esc_attr($color_value) . ';}
	    100% {height:5px;transform:translateY(0px);background: ' . esc_attr($color_value) . ';}
	}';

	/**
	 * Filters Mezze Pro custom colors CSS.
	 *
	 * @since Mezze Pro 1.0.0
	 *
	 * @param string $css        Base theme colors CSS.
	 */
	return apply_filters( 'mezze_pro_custom_colors_css', $css );
}
