<?php
/**
 * Archive options
 *
 * @package Theme Palace
 * @subpackage Mezze Pro
 * @since Mezze Pro 1.0.0
 */

// Add archive section
$wp_customize->add_section( 'mezze_pro_archive_section', array(
	'title'             => esc_html__( 'Blog/Archive','mezze-pro' ),
	'description'       => esc_html__( 'Archive section options.', 'mezze-pro' ),
	'panel'             => 'mezze_pro_theme_options_panel',
) );

// Your latest posts title setting and control.
$wp_customize->add_setting( 'mezze_pro_theme_options[your_latest_posts_title]', array(
	'default'           => $options['your_latest_posts_title'],
	'sanitize_callback' => 'sanitize_text_field',
) );

$wp_customize->add_control( 'mezze_pro_theme_options[your_latest_posts_title]', array(
	'label'             => esc_html__( 'Your Latest Posts Title', 'mezze-pro' ),
	'description'       => esc_html__( 'This option only works if Static Front Page is set to "Your latest posts."', 'mezze-pro' ),
	'section'           => 'mezze_pro_archive_section',
	'type'				=> 'text',
	'active_callback'   => 'mezze_pro_is_latest_posts'
) );

// Archive author category setting and control.
$wp_customize->add_setting( 'mezze_pro_theme_options[hide_category]', array(
	'default'           => $options['hide_category'],
	'sanitize_callback' => 'mezze_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Mezze_Pro_Switch_Control( $wp_customize, 'mezze_pro_theme_options[hide_category]', array(
	'label'             => esc_html__( 'Hide Category', 'mezze-pro' ),
	'section'           => 'mezze_pro_archive_section',
	'on_off_label' 		=> mezze_pro_hide_options(),
) ) );

// Your latest posts title setting and control.
$wp_customize->add_setting( 'mezze_pro_theme_options[read_more_text]', array(
	'default'           => $options['read_more_text'],
	'sanitize_callback' => 'sanitize_text_field',
) );

$wp_customize->add_control( 'mezze_pro_theme_options[read_more_text]', array(
	'label'             => esc_html__( 'Read More Text', 'mezze-pro' ),
	'section'           => 'mezze_pro_archive_section',
	'type'				=> 'text',
) );