<?php
/**
 * Excerpt options
 *
 * @package Theme Palace
 * @subpackage Mezze Pro
 * @since Mezze Pro 1.0.0
 */

// Add excerpt section
$wp_customize->add_section( 'mezze_pro_single_post_section', array(
	'title'             => esc_html__( 'Single Post','mezze-pro' ),
	'description'       => esc_html__( 'Options to change the single posts globally.', 'mezze-pro' ),
	'panel'             => 'mezze_pro_theme_options_panel',
) );

// Archive date meta setting and control.
$wp_customize->add_setting( 'mezze_pro_theme_options[single_post_hide_date]', array(
	'default'           => $options['single_post_hide_date'],
	'sanitize_callback' => 'mezze_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Mezze_Pro_Switch_Control( $wp_customize, 'mezze_pro_theme_options[single_post_hide_date]', array(
	'label'             => esc_html__( 'Hide Date', 'mezze-pro' ),
	'section'           => 'mezze_pro_single_post_section',
	'on_off_label' 		=> mezze_pro_hide_options(),
) ) );

// Archive author meta setting and control.
$wp_customize->add_setting( 'mezze_pro_theme_options[single_post_hide_author]', array(
	'default'           => $options['single_post_hide_author'],
	'sanitize_callback' => 'mezze_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Mezze_Pro_Switch_Control( $wp_customize, 'mezze_pro_theme_options[single_post_hide_author]', array(
	'label'             => esc_html__( 'Hide Author', 'mezze-pro' ),
	'section'           => 'mezze_pro_single_post_section',
	'on_off_label' 		=> mezze_pro_hide_options(),
) ) );

// Archive author category setting and control.
$wp_customize->add_setting( 'mezze_pro_theme_options[single_post_hide_category]', array(
	'default'           => $options['single_post_hide_category'],
	'sanitize_callback' => 'mezze_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Mezze_Pro_Switch_Control( $wp_customize, 'mezze_pro_theme_options[single_post_hide_category]', array(
	'label'             => esc_html__( 'Hide Category', 'mezze-pro' ),
	'section'           => 'mezze_pro_single_post_section',
	'on_off_label' 		=> mezze_pro_hide_options(),
) ) );

// Archive tag category setting and control.
$wp_customize->add_setting( 'mezze_pro_theme_options[single_post_hide_tags]', array(
	'default'           => $options['single_post_hide_tags'],
	'sanitize_callback' => 'mezze_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Mezze_Pro_Switch_Control( $wp_customize, 'mezze_pro_theme_options[single_post_hide_tags]', array(
	'label'             => esc_html__( 'Hide Tag', 'mezze-pro' ),
	'section'           => 'mezze_pro_single_post_section',
	'on_off_label' 		=> mezze_pro_hide_options(),
) ) );
