<?php
/**
 * Section Sortable options
 *
 * @package Theme Palace
 * @subpackage Mezze Pro
 * @since Mezze Pro 1.0.0
 */

// Add sidebar section
$wp_customize->add_section( 'mezze_pro_sortable', array(
	'title'               => esc_html__('Homepage Sortable','mezze-pro'),
	'description'         => esc_html__( 'Homepage Sortable options.', 'mezze-pro' ),
	'panel'               => 'mezze_pro_theme_options_panel',
) );

// Site layout setting and control.
$wp_customize->add_setting( 'mezze_pro_theme_options[sortable]', array(
	'default'			  => $options['sortable'],
	'sanitize_callback'   => 'mezze_pro_sanitize_sortable',
) );

$wp_customize->add_control( new Mezze_Pro_Customize_Sortable_Control ( $wp_customize, 'mezze_pro_theme_options[sortable]', array(
	'label'               => esc_html__( 'Sortable Homepage', 'mezze-pro' ),
	'description'         => esc_html__( 'Drag and Drop to sort the sections according to your preference.', 'mezze-pro' ),
	'section'             => 'mezze_pro_sortable',
	'type'                => 'sortable',
	'choices'			  => mezze_pro_sortable_sections(),
) ) );