<?php
/**
 * The sidebar containing the main widget area.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Theme Palace
 * @subpackage Mezze Pro
 * @since Mezze Pro 1.0.0
 */

$post_sidebar = 'sidebar-1';
if ( is_singular() || is_home() ) {
	$id = ( is_home() && ! is_front_page() ) ? get_option( 'page_for_posts' ) : get_the_id();
	$post_sidebar = get_post_meta( $id, 'mezze-pro-selected-sidebar', true );
	$post_sidebar = ! empty( $post_sidebar ) ? $post_sidebar : 'sidebar-1';
} elseif ( function_exists( 'is_shop' ) && is_shop() ) {
	$post_id = get_option( 'woocommerce_shop_page_id' ); 
	$post_sidebar = get_post_meta( $post_id, 'mezze-pro-selected-sidebar', true );
}
if ( ! is_active_sidebar( $post_sidebar ) ) {
	return;
}
?>

<aside id="secondary" class="widget-area" role="complementary">
	<?php dynamic_sidebar( $post_sidebar ); ?>
</aside><!-- #secondary -->
